Subject: color.diff.whitespace unused on removed lines

From: Sandro Santilli <[email-masked]>
Date: Tue, 4 Oct 2016 10:14:29 +0200

The color.diff.whitespace configuration is not used on
removed lines, but only on added lines.

As I'm removing trailing whitespaces all my diffs fail to
give me any information about the real action being taken,
due to this lack of support.

As a workaround, I've found the -R switch for "git show" [1]
but I thought about asking if this is a bug or intended behavior,
and in case it is intended I'd like to know why.

Thanks in advance.

[1]
http://stackoverflow.com/questions/5257553/coloring-white-space-in-git-diffs-output/11509388#11509388

--strk; 

  ()   Free GIS & Flash consultant/developer
  /\   https://strk.kbt.io/services.html